* vim: ts=3:sw=3:expandtab:syntax=form

#define R2PREFACTOR "1"

#procedure ReduceDiagramR2(DIAG)
   #call shiftmomenta(`DIAG')
   Argument Spab, Spaa, Spbb, Spba;
      #Call shiftmomenta(`DIAG')
   EndArgument;
   Id fDUMMY1?{Spaa,Spab,Spbb,Spba}(vDUMMY1?, iDUMMY2?, vDUMMY3?) =
      fDUMMY1(vDUMMY1, iDUMMY2, vDUMMY3);
   ToTensor Functions, Q, ptens;
   If(count(ptens,1)==0) Multiply ptens;

   #switch `DIAG'
*---#[ Diagram group 0:
   #case 21
   #case 22
   #case 23
   #case 24
      #define r1 "-k2+k7+k8+k4"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "-k2+k4"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "0"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k6-k5"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 0:
*---#[ Diagram group 1:
   #case 17
   #case 18
   #case 19
   #case 20
   #case 49
   #case 50
   #case 51
   #case 52
   #case 53
   #case 54
   #case 55
   #case 56
   #case 57
   #case 58
   #case 59
   #case 60
   #case 61
   #case 62
   #case 63
   #case 64
      #define r1 "-k7-k8-k5-k6"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "-k6-k5"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "0"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k2+k4"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 1:
*---#[ Diagram group 2:
   #case 13
   #case 14
   #case 15
   #case 16
      #define r1 "-k7-k8-k5-k6"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "-k7-k8"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "0"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k2+k4"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 2:
*---#[ Diagram group 3:
   #case 9
   #case 10
   #case 11
   #case 12
      #define r1 "k7+k8"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "0"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "-k3-k4"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k3-k6-k5-k4"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 3:
*---#[ Diagram group 4:
   #case 1
   #case 2
   #case 3
   #case 4
      #define r1 "k7+k8+k5+k6"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "k7+k8"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "0"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k3-k4"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 4:
*---#[ Diagram group 5:
   #case 5
   #case 6
   #case 7
   #case 8
   #case 33
   #case 34
   #case 35
   #case 36
   #case 37
   #case 38
   #case 39
   #case 40
   #case 41
   #case 42
   #case 43
   #case 44
   #case 45
   #case 46
   #case 47
   #case 48
      #define r1 "k7+k8+k5+k6"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "k6+k5"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "0"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k3-k4"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 5:
   #endswitch
   #switch `DIAG'
*---#[ Diagram group 0:
*------#[ Diagram 21:
   #case 21
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 21:
*------#[ Diagram 22:
   #case 22
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 22:
*------#[ Diagram 23:
   #case 23
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 23:
*------#[ Diagram 24:
   #case 24
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 24:
*---#] Diagram group 0:
*---#[ Diagram group 1:
*------#[ Diagram 17:
   #case 17
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 17:
*------#[ Diagram 18:
   #case 18
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 18:
*------#[ Diagram 19:
   #case 19
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 19:
*------#[ Diagram 20:
   #case 20
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 20:
*------#[ Diagram 49:
   #case 49
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 49:
*------#[ Diagram 50:
   #case 50
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 50:
*------#[ Diagram 51:
   #case 51
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 51:
*------#[ Diagram 52:
   #case 52
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 52:
*------#[ Diagram 53:
   #case 53
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 53:
*------#[ Diagram 54:
   #case 54
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 54:
*------#[ Diagram 55:
   #case 55
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 55:
*------#[ Diagram 56:
   #case 56
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 56:
*------#[ Diagram 57:
   #case 57
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 57:
*------#[ Diagram 58:
   #case 58
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 58:
*------#[ Diagram 59:
   #case 59
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 59:
*------#[ Diagram 60:
   #case 60
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 60:
*------#[ Diagram 61:
   #case 61
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 61:
*------#[ Diagram 62:
   #case 62
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 62:
*------#[ Diagram 63:
   #case 63
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 63:
*------#[ Diagram 64:
   #case 64
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 64:
*---#] Diagram group 1:
*---#[ Diagram group 2:
*------#[ Diagram 13:
   #case 13
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 13:
*------#[ Diagram 14:
   #case 14
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 14:
*------#[ Diagram 15:
   #case 15
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 15:
*------#[ Diagram 16:
   #case 16
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "Nfrat"
      #break
*------#] Diagram 16:
*---#] Diagram group 2:
*---#[ Diagram group 3:
*------#[ Diagram 9:
   #case 9
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 9:
*------#[ Diagram 10:
   #case 10
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 10:
*------#[ Diagram 11:
   #case 11
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 11:
*------#[ Diagram 12:
   #case 12
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 12:
*---#] Diagram group 3:
*---#[ Diagram group 4:
*------#[ Diagram 1:
   #case 1
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 1:
*------#[ Diagram 2:
   #case 2
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 2:
*------#[ Diagram 3:
   #case 3
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 3:
*------#[ Diagram 4:
   #case 4
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 4:
*---#] Diagram group 4:
*---#[ Diagram group 5:
*------#[ Diagram 5:
   #case 5
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 5:
*------#[ Diagram 6:
   #case 6
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 6:
*------#[ Diagram 7:
   #case 7
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 7:
*------#[ Diagram 8:
   #case 8
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 8:
*------#[ Diagram 33:
   #case 33
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 33:
*------#[ Diagram 34:
   #case 34
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 34:
*------#[ Diagram 35:
   #case 35
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 35:
*------#[ Diagram 36:
   #case 36
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 36:
*------#[ Diagram 37:
   #case 37
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 37:
*------#[ Diagram 38:
   #case 38
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 38:
*------#[ Diagram 39:
   #case 39
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 39:
*------#[ Diagram 40:
   #case 40
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 40:
*------#[ Diagram 41:
   #case 41
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 41:
*------#[ Diagram 42:
   #case 42
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 42:
*------#[ Diagram 43:
   #case 43
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 43:
*------#[ Diagram 44:
   #case 44
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 44:
*------#[ Diagram 45:
   #case 45
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 45:
*------#[ Diagram 46:
   #case 46
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 46:
*------#[ Diagram 47:
   #case 47
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 47:
*------#[ Diagram 48:
   #case 48
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 48:
*---#] Diagram group 5:
   #endswitch

   Id Qt2 = 0;
   Id eps = 0;

   Id fDUMMY1?{Spaa,Spab,Spbb,Spba}(vDUMMY1?, 0, vDUMMY3?) = 0;
   #call SpContractMetrics
   #call SpContract
   #call SpOpen(`LIGHTLIKE')
#endprocedure
